<?php

abstract class EntityTemplateComponentIteratorBase implements EntityTemplateComponentIteratorInterface {

  /**
   * The plugin id.
   *
   * @var string
   */
  protected string $pluginId;

  /**
   * The plugin definition.
   *
   * @var array
   */
  protected array $pluginDefinition;

  /**
   * The component.
   *
   * @var \EntityTemplateComponentInterface
   */
  protected EntityTemplateComponentInterface $component;

  public function __construct(string $plugin_id, array $definition) {
    $this->pluginId = $plugin_id;
    $this->pluginDefinition = $definition;
  }

  public function getPluginId() {
    return $this->pluginId;
  }

  /**
   * @return mixed
   */
  public function getPluginDefinition() {
    return $this->pluginDefinition;
  }

  /**
   * {@inheritDoc}
   */
  public function getAdditionalParametersInfo(array $parametersInfo = []): array {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function setComponent(EntityTemplateComponentInterface $component): EntityTemplateComponentIteratorInterface {
    $this->component = $component;
    return $this;
  }

}
