<?php

/**
 * Trait for configurable component modifiers.
 */
trait ConfigurableEntityTemplateComponentIteratorTrait {

  /**
   * The configuration.
   *
   * @var array
   */
  protected $configuration = [];

  /**
   * Get the configuration.
   *
   * @return array
   *    The configuration.
   */
  public function getConfiguration(): array {
    return $this->configuration;
  }

  /**
   * Set the configuration.
   *
   * @param array $configuration
   *    The configuration.
   *
   * @return $this
   */
  public function setConfiguration(array $configuration): ConfigurableEntityTemplateComponentIteratorInterface {
    $this->configuration = $configuration;
    return $this;
  }

  /**
   * Validate the configuration form.
   *
   * @param array $form
   * @param array $form_state
   *
   * @return void
   */
  public function configurationFormValidate($form, &$form_state) {}

}
